LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 07-13-2004, 07:38 PM   #1
joeyjwc
Member
 
Registered: Mar 2004
Distribution: Slackware 10.2, Fedora Core 5, Kubuntu
Posts: 61

Rep: Reputation: 15
ATI RagePro and DRI Problems


Hi there.

I'm running Slackware 10 on an Acer Aspire 3230, which has an ATI RagePro graphics card with 8mB of memory (yes, this is an old computer). I'm trying to install DRI, but I've encountered a major problem. I installed the modules and restarted X, but I got this error:

Code:
...
(EE) "ati" and "atimisc" module versions must match.
(EE) Failed to load module "atimisc" (module requirement mismatch, 11)
(EE) ATI:  Failed to load "atimisc" module.
(EE) No devices detected.
...
I went to the directory within the DRI package that contained the drivers. All I saw were ati_drv.o and r128_drv.o drivers, but no atimisc_drv.o. So, it installed a newer version of the ati_drv.o binary, but not of the atimisc_drv.o binary. This is definitely the problem, but how do I fix it? I essentially need to get a release of the DRI binary with the atimisc_drv.o with it so that all modules are of the same version. Where can I find it or is there another solution that I'm not aware of because I'm somewhat of a (11 months as of last week)? Thank you for your time.
 
Old 07-29-2004, 06:14 AM   #2
Error1312
Member
 
Registered: Feb 2004
Location: Belgium
Distribution: Ubuntu 10.04 Lucid Lynx
Posts: 140

Rep: Reputation: 15
I'm having the same problem at the moment, any idea's?
 
Old 07-29-2004, 09:49 AM   #3
jomen
Senior Member
 
Registered: May 2004
Location: Leipzig/Germany
Distribution: Arch
Posts: 1,687

Rep: Reputation: 55
The modules are in: /usr/X11R6/lib/modules/drivers

I just built XFree 4.4.0 and this is the directory; containing these modules:

Jonathan:/usr/X11R6/lib/modules/drivers$ ls -l
insgesamt 648
-r--r--r-- 1 root root 116564 2004-07-29 11:41 apm_drv.o
-r--r--r-- 1 root root 49091 2004-07-29 11:41 ati_drv.o
-r--r--r-- 1 root root 163081 2004-07-29 11:41 atimisc_drv.o
-r--r--r-- 1 root root 16031 2004-07-29 11:41 fbdev_drv.o
drwxr-xr-x 2 root root 4096 2004-07-29 11:41 linux
-r--r--r-- 1 root root 96450 2004-07-29 11:41 r128_drv.o
-r--r--r-- 1 root root 148929 2004-07-29 11:41 radeon_drv.o
-r--r--r-- 1 root root 21135 2004-07-29 11:41 vesa_drv.o
-r--r--r-- 1 root root 16852 2004-07-29 11:41 vga_drv.o

in ./linux is another driver v4l_drv.o

since I compiled it the versions match - your error is about a version mismatch.

The update of your dri-drivers probably updated the ati_drv.o but not the atimisc_drv.o (?)
This was also your thougt.

So you probably have to reinstall your card-drivers too.

To do this you might have to upgrade your X-Server - with a matching version to the DRI-drivers.

Where to get them and how you do it - I cannot tell you since I do not know how you install your software (source - I could help with that, or rpm or deb...)

What Version of X and what new version of DRI do you have anyway?

You have the support for your card (of course) and for DRM (?) and - if applicable to your system - agpgart in your kernel or loadable as modules ??

Jochen
 
Old 07-30-2004, 02:50 AM   #4
Error1312
Member
 
Registered: Feb 2004
Location: Belgium
Distribution: Ubuntu 10.04 Lucid Lynx
Posts: 140

Rep: Reputation: 15
Ok, thanks for your reply jomen. I've currently installed the dri drivers for the card Linux probes as standard (an ATI Mach 64). At least I'm getting back in X and KDE with quite good performance. From here I think I'm gonna try to work at your suggestion and try to upgrade that file.
 
Old 07-30-2004, 07:07 AM   #5
joeyjwc
Member
 
Registered: Mar 2004
Distribution: Slackware 10.2, Fedora Core 5, Kubuntu
Posts: 61

Original Poster
Rep: Reputation: 15
Well, I'm glad my thoughts helped someone else, but I was just testing the DRI. The computer is going to be part of a cluster, so I don't really need it to have good graphics capabilities, but if the cluster breaks down, I prefer X with a bunch of ATERMs to GNU Screen.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI and DRI drivers help please Digitalsoldier Linux - Newbie 4 08-04-2005 10:18 PM
DRI ATI Radeon 7500 Jeebizz Slackware 14 05-21-2005 04:41 PM
ATI 9600se running slower than older ATI card w/ DRI on euth665667 Linux - Hardware 0 07-03-2004 06:10 AM
ati problem..(DRI + tv out mix) NoirX252 Linux - Software 1 05-09-2004 01:04 PM
ATI radeon, no DRI breakerfall Linux - Hardware 3 11-11-2003 07:42 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 01:10 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration